madkit.action

## Enum LoggingAction

- java.lang.Object
- - java.lang.Enum<LoggingAction>
  - - madkit.action.LoggingAction

- All Implemented Interfaces:
    Serializable, Comparable<LoggingAction>

      public enum LoggingAction
      extends Enum<LoggingAction>

  Enum representing agent actions
  Since:
    MaDKit 5.0.0.14
  Version:
    0.9
  Author:
    Fabien Michel

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CGR_WARNINGS`
    `LOG_LEVEL`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Action` | `getActionFor(AbstractAgent agent, Object... parameters)` Builds an action that will make the agent do the corresponding behavior
    `ActionInfo` | `getActionInfo()`
    `static LoggingAction` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static LoggingAction[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### LOG_LEVEL

          public static final LoggingAction LOG_LEVEL

    - #### CGR_WARNINGS

          public static final LoggingAction CGR_WARNINGS

  - ### Method Detail

    - #### values

          public static LoggingAction[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (LoggingAction c : LoggingAction.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static LoggingAction valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getActionInfo

          public ActionInfo getActionInfo()

      Returns:
        the actionInfo corresponding to this constant

    - #### getActionFor

          public Action getActionFor(AbstractAgent agent,
                                     Object... parameters)

      Builds an action that will make the agent do the corresponding behavior
      Parameters:
        `agent` - the agent on which this action will operate
        `parameters` - the info to be used
      Returns:
        the action corresponding to the enum

Fabien Michel, Olivier Gutknecht, Jacques Ferber - February 17 2020